#
# spec file for package openstack-horizon-plugin-sahara-ui
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 8.0.0.0b4.dev8

Name:           openstack-horizon-plugin-sahara-ui
Version:        8.0.0.0~xbeta4~dev8
Release:        1.1
Summary:        Sahara UI Plugin for OpenStack Horizon
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/sahara
Source:         http://tarballs.openstack.org/sahara-dashboard/sahara-dashboard-master.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-dashboard
BuildRequires:  openstack-suse-macros
BuildRequires:  openstack-suse-sudo
BuildRequires:  python-base
BuildRequires:  python-pbr
BuildRequires:  python-saharaclient
Requires:       python-horizon-plugin-sahara-ui = %{version}
Requires(post): python-horizon-plugin-sahara-ui = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
OpenStack Sahara management plugin for Horizon.

%package -n python-horizon-plugin-sahara-ui
Summary:        Sahara Management Plugin for Horizon - Python module
Group:          Development/Languages/Python
Requires:       python >= 2.7
Requires:       python-Babel >= 2.3.4
Requires:       python-Django >= 1.8
Requires:       python-designateclient >= 2.7.0
Requires:       python-django_compressor >= 2.0
Requires:       python-django_openstack_auth >= 2.4.0
Requires:       python-iso8601 >= 0.1.11
Requires:       python-keystoneclient >= 3.8.0
Requires:       python-manilaclient >= 1.16.0
Requires:       python-neutronclient >= 6.3.0
Requires:       python-novaclient >= 9.1.0
Requires:       python-pbr >= 2.0.0
Requires:       python-pytz >= 2013.6
Requires:       python-saharaclient >= 1.4.0

%description -n python-horizon-plugin-sahara-ui
OpenStack Sahara management plugin for Horizon.

%package test
Summary:        Sahara Management Plugin for Horizon - Testsuite
Group:          Development/Languages/Python
Requires:       python-Sphinx >= 1.2.1
Requires:       python-ddt >= 1.0.1
Requires:       python-django-nose >= 1.4.4
Requires:       python-mock >= 2.0.0
Requires:       python-mox3 >= 0.20.0
Requires:       python-netifaces >= 0.10.4
Requires:       python-nose-exclude
Requires:       python-oslosphinx >= 4.7.0
Requires:       python-python-subunit >= 1.0.0
Requires:       python-reno >= 2.5.0
Requires:       python-testrepository >= 0.0.18
Requires:       python-testscenarios >= 0.4
Requires:       python-testtools >= 2.2.0

%description test
The Sahara project testsuite

%prep
%setup -q -n sahara-dashboard-%{version_unconverted}

%openstack_cleanup_prep

%build
python setup.py build

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

install -m 0755 -d %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
cp -a sahara_dashboard/enabled/_1810_data_processing_panel_group.py %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
cp -a sahara_dashboard/enabled/_1820_data_processing_clusters_panel.py %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
cp -a sahara_dashboard/enabled/_1830_data_processing_plugins_panel.py %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
cp -a sahara_dashboard/enabled/_1840_data_processing_jobs_panel.py %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/

### misc
%fdupes %{buildroot}%{python_sitelib}/sahara_dashboard

%post
su wwwrun -s /bin/sh -c "python /srv/www/openstack-dashboard/manage.py collectstatic --noinput --clear > /dev/null"

%postun
su wwwrun -s /bin/sh -c "python /srv/www/openstack-dashboard/manage.py collectstatic --noinput --clear > /dev/null"

%files
%defattr(-,root,root)
/srv/www/openstack-dashboard/openstack_dashboard/enabled
%doc ChangeLog README.rst LICENSE

%files -n python-horizon-plugin-sahara-ui
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/sahara_dashboard/
%{python_sitelib}/sahara_dashboard-*.egg-info
%exclude %{python_sitelib}/sahara_dashboard/test*

%files test
%defattr(-,root,root)
%{python_sitelib}/sahara_dashboard/test*

%changelog
* Sat Feb  3 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b4.dev8:
  * Zuul: Remove project name
* Thu Feb  1 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b4.dev6:
  * Imported Translations from Zanata
* Wed Jan 31 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b4.dev5:
  * Imported Translations from Zanata
  8.0.0.0b3
  * Imported Translations from Zanata
* Tue Jan 30 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev43:
  * use . instead of source
* Mon Jan 29 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev42:
  * Imported Translations from Zanata
* Fri Jan 26 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev41:
  * TrivialFix: remove redundant import alias
  * Updated from global requirements
  * Imported Translations from Zanata
  * Support of S3 binaries in dashboard
* Thu Jan 25 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev34:
  * fix wrong url in bindep.txt, replate http with https
* Wed Jan 24 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev32:
  * Imported Translations from Zanata
* Tue Jan 23 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev31:
  * Update url links in doc file of sahara-dashboard
  * Imported Translations from Zanata
* Mon Jan 22 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev28:
  * Imported Translations from Zanata
* Sat Jan 20 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev27:
  * Imported Translations from Zanata
* Fri Jan 19 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev26:
  * Updated from global requirements
  * fix an incorrect statement
  * horizon misspelling in README.rst
* Thu Jan 18 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev21:
  * Setting streaming options as not required
* Wed Jan 17 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev19:
  * Rename the 'SAHARA\_AUTO\_IP\_ALLOCATION\_ENABLED' config parameter
  * Fix the quickstart url and participate url
* Tue Jan 16 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev15:
  * Updated from global requirements
* Tue Jan 16 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev14:
  * Fix attrs list of LabeledInput.render() method
  * Fix tox\_install.sh script
* Thu Jan 11 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev12:
  * Imported Translations from Zanata
* Wed Jan 10 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev11:
  * Imported Translations from Zanata
* Tue Jan  9 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev10:
  * Use 'trimmed' for blocktrans in multi-line strings
* Sat Jan  6 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev9:
  * Imported Translations from Zanata
* Fri Jan  5 2018 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev8:
  * Add import of cluster templates to GUI
* Sun Dec 17 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev6:
  * Imported Translations from Zanata
* Thu Dec 14 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev5:
  * Imported Translations from Zanata
* Tue Dec 12 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b3.dev4:
  * heat\_data was removed from Horizon
  8.0.0.0b2
  * Imported Translations from Zanata
* Sat Dec  9 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b2.dev29:
  * Imported Translations from Zanata
* Fri Dec  8 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b2.dev28:
  * Imported Translations from Zanata
* Wed Dec  6 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-8.0.0.0b2.dev27:
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Align tox\_install.sh with other projects
  * Update bindep.txt for doc builds
  * Updated from global requirements
  * Imported Translations from Zanata
  * Updated from global requirements
  * Imported Translations from Zanata
  * Remove setting of version/release from releasenotes
  * Updated from global requirements
  * Drop django\_openstack\_auth from requirements.txt
  * Add import of node group templates
  * Fix issue creating NGT using dashboard
  * Initial Zuul v3 jobs: unittests
  8.0.0.0b1
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Add export of cluster templates to UI
* Mon Oct 16 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0rc2.dev22:
  * Imported Translations from Zanata
  * Update the documentation link for doc migration
  * Imported Translations from Zanata
* Tue Oct 10 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0rc2.dev18:
  * Fix plugin version sorting
  * Imported Translations from Zanata
* Fri Oct  6 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0rc2.dev15:
  * Imported Translations from Zanata
* Tue Sep 26 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0rc2.dev14:
  * Imported Translations from Zanata
* Fri Sep 22 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0rc2.dev13:
  * Imported Translations from Zanata
* Tue Sep 19 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0rc2.dev12:
  * Imported Translations from Zanata
  * Updated from global requirements
* Thu Sep 14 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0rc2.dev9:
  * Updated from global requirements
* Sat Sep  2 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0rc2.dev8:
  * Add export of node group templates
* Fri Aug 25 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0rc2.dev7:
  * Updated from global requirements
  * Updated from global requirements
* Sat Aug 19 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0rc2.dev5:
  * Updated from global requirements
  * Updated from global requirements
  * Imported Translations from Zanata
* Sat Aug 12 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0rc2.dev1:
  * Update reno for stable/pike
  7.0.0.0rc1
* Sat Aug  5 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b4.dev12:
  * Imported Translations from Zanata
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b4.dev11:
  * Fix the compatibility after django 1.11 support
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b4.dev10:
  * Fix py27dj110 tox environment: really use Django 1.10
  * Fix can't open the NGT creating form
  * Switch render() arguments to the new way
  * Updated from global requirements
  * Imported Translations from Zanata
  * Check for volumev2 and volumev3 too
  7.0.0.0b3
* Thu Jul  6 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b3.dev4:
  * Updated from global requirements
* Wed Jun 28 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b3.dev3:
  * Updated from global requirements
* Sat Jun 24 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b3.dev2:
  * Enable some off-by-default checks
* Fri Jun 23 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b3.dev1:
  * Imported Translations from Zanata
  7.0.0.0b2
* Sat Jun 17 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b2.dev13:
  * Make health check info hideable
  * Fix neutron-related openstack\_dashboard imports
  * Updated from global requirements
  * Updated from global requirements
* Fri May 19 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b2.dev9:
  * Updated from global requirements
* Mon May 15 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b2.dev8:
  * Updated from global requirements
* Wed May 10 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b2.dev7:
  * Imported Translations from Zanata
* Sun May  7 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b2.dev6:
  * Reuse testenv env variables in py27/py35 envs
* Tue Apr 25 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b2.dev5:
  * Fix JS syntax error in variable declaration
  * Replaces uuid.uuid4 with uuidutils.generate\_uuid()
  * Indicating the location tests directory in oslo\_debug\_helper
  * Switch to oslo\_log
  * Add sahara\_dashboard to ADD\_INSTALLED\_APPS for translation support
  * Remove --upgrade option from setup\_develop
  * Fix failing job\_binaries i9n test
  * Remove microseconds from sahara\_data
  * Fix job\_binaries deletion
  * Add fix with floating\_ip\_pool for ui tests
  * Fix typo in floating\_ip\_pool config name
  * Update oslo-incubator common \_\_init\_\_.py
  * Changing savanna\_tag\_image as part of rename project
  * Moving main\_class and java\_opts to configs
  * Use unregister\_image(id) on unregister
  * Remove version pbr pins from setup\_requires
  * Add \_\_author\_\_ attr check
  * Fix skipping node\_group\_id if not specified
  * Send cluster\_template\_id during cluster creation
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b2.dev4:
  * Updated from global requirements
* Tue Apr 18 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-7.0.0.0b2.dev3:
  * Adding missing translation blocks
  7.0.0.0b1
* Thu Apr 13 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.1.dev18:
  * Updated from global requirements
* Fri Mar 31 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.1.dev17:
  * Remove support for py34
  * Replace six.iteritems() with .items()
* Thu Mar 30 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.1.dev14:
  * Updated from global requirements
  * Main binary should not be allowed for some job types in Horizon
* Wed Mar 29 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.1.dev11:
  * Fix bugs of redirect url
* Sat Mar 25 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.1.dev10:
  * Imported Translations from Zanata
* Tue Mar 14 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.1.dev9:
  * Replaces uuid.uuid4 with uuidutils.generate_uuid()
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.1.dev8:
  * Indicating the location tests directory in oslo_debug_helper
  * Updated from global requirements
  * [Fix gate]Update test requirement
  6.0.0
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0rc2.dev5:
  * Updated from global requirements
* Sat Feb 11 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0rc2.dev4:
  * Updated from global requirements
* Mon Feb  6 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0rc2.dev3:
  * Imported Translations from Zanata
* Sat Feb  4 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0rc2.dev2:
  * Imported Translations from Zanata
* Fri Feb  3 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0rc2.dev1:
  * Update reno for stable/ocata
  6.0.0.0rc1
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0b4.dev1:
  6.0.0.0b3
  * Imported Translations from Zanata
  * Updated from global requirements
  * Updated from global requirements
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0b3.dev11:
  * Updated from global requirements
  * Updated from global requirements
  * Remove support for py33
  * Remove useless iso8601 requirements
  * Updated from global requirements
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0b3.dev5:
  * Switch to oslo_log
* Thu Jan 12 2017 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0b3.dev4:
  * Imported Translations from Zanata
* Wed Dec 28 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0b3.dev3:
  * Make plugin version orderly in version list
* Tue Dec 27 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0b3.dev1:
  * Add Constraints support
  6.0.0.0b2
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0b2.dev11:
  * Add licensing info in source file
* Sun Dec  4 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0b2.dev10:
  * Updated from global requirements
* Tue Nov 29 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0b2.dev9:
  * fix error redirecting of image-register
* Sat Nov 26 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0b2.dev8:
  * Show team and repo badges on README
  * Refactor some dict generators in sahara.py file
* Thu Nov 24 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0b2.dev5:
  * fix unit tests for sahara-dashboard
  * Imported Translations from Zanata
* Wed Nov 23 2016 dmueller@suse.com
- fix installation order
* Tue Nov 22 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-6.0.0.0b2.dev2:
  * Remove unneded script from tools
  6.0.0.0b1
* Thu Nov 17 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-5.0.0.0rc2.dev38:
  * Remove unnessesary js code for hidden nav in workflows
* Mon Nov 14 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-5.0.0.0rc2.dev36:
  * Imported Translations from Zanata
* Fri Nov 11 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-5.0.0.0rc2.dev35:
  * Remove some debugging artifacts from file
* Thu Nov 10 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-5.0.0.0rc2.dev34:
  * Updated from global requirements
* Thu Nov  3 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-5.0.0.0rc2.dev33:
  * Updated from global requirements
* Tue Nov  1 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-5.0.0.0rc2.dev32:
  * Fix invalid links in detailed pages
* Sun Oct 30 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-5.0.0.0rc2.dev30:
  * Imported Translations from Zanata
* Fri Oct 28 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-5.0.0.0rc2.dev29:
  * Imported Translations from Zanata
* Wed Oct 26 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-5.0.0.0rc2.dev28:
  * Updated from global requirements
  * Imported Translations from Zanata
* Mon Oct 24 2016 cloud-devel@suse.de
- Update to version sahara-dashboard-5.0.0.0rc2.dev25:
  * Imported Translations from Zanata
* Sun Oct 23 2016 dmueller@suse.com
- clean up dependencies
* Sat Oct 22 2016 r.arcea@gmail.com
- Sahara dashboard package for master
